Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::group_order Struct Reference

Sorts fields in correct group order. More...

`#include <MessageSorters.h>`

List of all members.

## Static Public Member Functions

static bool | compare (const int x, const int y, int *order, int largest)

## Detailed Description

Sorts fields in correct group order.

Definition at line 81 of file MessageSorters.h.

## Member Function Documentation

static bool FIX::group_order::compare | ( | const int | x,
|  | const int | y,
|  | int * | order,
|  | int | largest |
| ) |  |  | `[inline, static]`

Definition at line 83 of file MessageSorters.h.

Referenced by FIX::message_order::operator()().

    00084   {
    00085     if ( x <= largest && y <= largest )
    00086     {
    00087       int iX = order[ x ];
    00088       int iY = order[ y ];
    00089       if ( iX == 0 && iY == 0 )
    00090         return x < y;
    00091       else if ( iX == 0 )
    00092         return false;
    00093       else if ( iY == 0 )
    00094         return true;
    00095       else
    00096         return iX < iY;
    00097     }
    00098     else if ( x <= largest ) return true;
    00099     else if ( y <= largest ) return false;
    00100     else return x < y;
    00101   }

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/MessageSorters.h